Bug 115371 - add mii-tool support to ifup
add mii-tool support to ifup
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: ethtool (Show other bugs)
3.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-11 11:24 EST by Stefan Voelkel
Modified: 2013-07-02 22:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-09-19 19:27:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
This is our solution. (944 bytes, patch)
2005-01-26 07:03 EST, Michael Bischof
no flags Details | Diff

  None (edit)
Description Stefan Voelkel 2004-02-11 11:24:42 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031107 Galeon/1.3.11a (Debian package 1.3.11a-2)

Description of problem:
The used NIC does not support setting connection speed etc. with
ethtool but only with mii-tool. the ifcfg-* scripts support only ethtool.

Version-Release number of selected component (if applicable):
initscripts-7.31.6.EL-1

How reproducible:
Always

Steps to Reproduce:
1. add ETHTOOL_OPTS="speed 100" to ifcfg-eth0
2. restart network


Actual Results:  speed not forced to 100 mbit

Expected Results:  speed forced to 100 mbit

Additional info:

Trying to set options with ethtool outside the script did not work
either. The NIC completly refused to work after any configuration
change has been tried with ethtool. mii-tool works nontheless.

00:05.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5703
Gigabit Ethernet (rev 02)

I'd like to see an option MIITOOL_OPTS parsed in ifup, so that if this
variable is present mii-tool is used to set NIC parameters.
Comment 1 Stefan Voelkel 2004-02-11 11:27:04 EST
I forgot to add, that atm I use rc.local to force the NIC with
mii-tool to a certain speed. Lars Herrmann pointed me to
/sbin/ifup-local, but i'd prefer a less "tinkerish" way.
Comment 2 Bill Nottingham 2004-02-11 11:35:15 EST
ethtool is the preferred mechanism; if that's not working, that should
be fixed.
Comment 3 Ernie Petrides 2004-03-29 21:06:27 EST
Hello, Stefan.  Does the suggestion from Bill in comment #2
work for you?
Comment 4 Stefan Voelkel 2004-03-30 02:55:50 EST
Hello Ernie. No, ethtool does not work. We work around this as
described in comment #1.
Comment 5 Michael Bischof 2005-01-26 07:03:09 EST
Created attachment 110243 [details]
This is our solution.

Note You need to log in before you can comment on or make changes to this bug.